<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:id="@+id/left_control_bar"
        android:layout_width="34dp"
        android:layout_height="149dp"
        android:layout_marginStart="24dp"
        android:layout_marginTop="98dp"
        android:src="@mipmap/single_control_bar"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <TextView
        android:id="@+id/text_play_stop"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="40dp"
        android:layout_marginTop="10dp"
        android:text="Play/Stop"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintStart_toEndOf="@+id/left_control_bar"
        app:layout_constraintTop_toTopOf="@+id/left_control_bar" />

    <ImageView
        android:id="@+id/dash_line_1"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginEnd="6dp"
        android:src="@mipmap/line_1"
        app:layout_constraintBottom_toBottomOf="@+id/text_play_stop"
        app:layout_constraintEnd_toStartOf="@+id/text_play_stop"
        app:layout_constraintStart_toEndOf="@+id/left_control_bar"
        app:layout_constraintTop_toTopOf="@+id/text_play_stop" />

    <TextView
        android:id="@+id/text_save_load"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="11dp"
        android:text="Save/Load solutionList"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/text_play_stop"
        app:layout_constraintTop_toBottomOf="@+id/text_play_stop" />

    <ImageView
        android:id="@+id/dash_line_2"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginEnd="6dp"
        android:src="@mipmap/line_1"
        app:layout_constraintBottom_toBottomOf="@+id/text_save_load"
        app:layout_constraintEnd_toStartOf="@+id/text_save_load"
        app:layout_constraintStart_toEndOf="@+id/left_control_bar"
        app:layout_constraintTop_toTopOf="@+id/text_save_load" />

    <TextView
        android:id="@+id/text_hide_unhide"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="8dp"
        android:text="Hide/Unhide"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/text_play_stop"
        app:layout_constraintTop_toBottomOf="@+id/text_save_load" />

    <ImageView
        android:id="@+id/dash_line_3"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginEnd="8dp"
        android:src="@mipmap/line_1"
        app:layout_constraintBottom_toBottomOf="@+id/text_hide_unhide"
        app:layout_constraintEnd_toStartOf="@+id/text_hide_unhide"
        app:layout_constraintStart_toEndOf="@+id/left_control_bar"
        app:layout_constraintTop_toTopOf="@+id/text_hide_unhide" />

    <TextView
        android:id="@+id/text_edit_repeat_mode"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="9dp"
        android:text="Edit repeat mode"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/text_play_stop"
        app:layout_constraintTop_toBottomOf="@+id/text_hide_unhide" />

    <ImageView
        android:id="@+id/dash_line_4"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginEnd="8dp"
        android:src="@mipmap/line_1"
        app:layout_constraintBottom_toBottomOf="@+id/text_edit_repeat_mode"
        app:layout_constraintEnd_toStartOf="@+id/text_edit_repeat_mode"
        app:layout_constraintStart_toEndOf="@+id/left_control_bar"
        app:layout_constraintTop_toTopOf="@+id/text_edit_repeat_mode" />

    <TextView
        android:id="@+id/text_stop_service"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="6dp"
        android:text="Stop service"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/text_play_stop"
        app:layout_constraintTop_toBottomOf="@+id/text_edit_repeat_mode" />

    <ImageView
        android:id="@+id/dash_line_5"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="1dp"
        android:layout_marginEnd="8dp"
        android:src="@mipmap/line_1"
        app:layout_constraintBottom_toBottomOf="@+id/text_stop_service"
        app:layout_constraintEnd_toStartOf="@+id/text_stop_service"
        app:layout_constraintStart_toEndOf="@+id/left_control_bar"
        app:layout_constraintTop_toTopOf="@+id/text_stop_service" />

    <TextView
        android:id="@+id/text_move_point"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginTop="26dp"
        android:text="Drag the bar to move it anywhere"
        android:textColor="#FFFFFF"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/text_play_stop"
        app:layout_constraintTop_toBottomOf="@+id/text_stop_service" />

    <View
        android:id="@+id/left_bar_center_point_x"
        android:layout_width="1dp"
        android:layout_height="0dp"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/left_control_bar"
        app:layout_constraintEnd_toEndOf="@+id/left_control_bar"
        app:layout_constraintStart_toStartOf="@+id/left_control_bar" />

    <View
        android:id="@+id/text_point_center_point_y"
        android:layout_width="1dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="@+id/text_move_point"
        app:layout_constraintEnd_toEndOf="@+id/text_move_point"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="@+id/text_move_point"
        app:layout_constraintTop_toTopOf="@+id/text_move_point"
        app:layout_constraintVertical_bias="0.5" />

    <ImageView
        android:id="@+id/dash_line_6"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginEnd="8dp"
        android:src="@mipmap/line_2"
        app:layout_constraintBottom_toBottomOf="@+id/text_point_center_point_y"
        app:layout_constraintEnd_toStartOf="@+id/text_move_point"
        app:layout_constraintStart_toStartOf="@+id/left_bar_center_point_x"
        app:layout_constraintTop_toBottomOf="@+id/left_control_bar" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/ring_with_text_container"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginEnd="19dp"
        app:layout_constraintBottom_toBottomOf="@+id/text_action_point"
        app:layout_constraintEnd_toStartOf="@+id/text_action_point"
        app:layout_constraintTop_toTopOf="@+id/text_action_point">

        <ImageView
            android:id="@+id/ring"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ring_has_bg"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/ring_text"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="1"
            android:textColor="#FFFFFF"
            android:textSize="26sp"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="@+id/ring"
            app:layout_constraintEnd_toEndOf="@+id/ring"
            app:layout_constraintStart_toStartOf="@+id/ring"
            app:layout_constraintTop_toTopOf="@+id/ring" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <TextView
        android:id="@+id/text_action_point"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="87dp"
        android:text="Drag the action touchPoint to move
\nit anywhere, click to edit the"
        android:textColor="@color/white"
        android:textSize="14sp"
        app:layout_constraintStart_toStartOf="@+id/text_play_stop"
        app:layout_constraintTop_toBottomOf="@+id/text_move_point" />

</androidx.constraintlayout.widget.ConstraintLayout>